Subject: Re: TCP congestion graphs (2.6.19-rc4)

From: Stephen Hemminger <[email-masked]>
Date: Tue, 31 Oct 2006 16:10:07 -0800

On Tue, 31 Oct 2006 15:25:16 -0800
"Xiaoliang (David) Wei" <[email-masked]> wrote:

> On 10/31/06, Stephen Hemminger <[email-masked]> wrote:
> > I reran the tests, this time using my DSL line to home (80ms 1Mbit/sec).
> >         http://developer.osdl.org/shemminger/tcp/2.6.19-rc4/dsl
> >
> > The only obvious problem is Vegas looks broken.
> 
> Thanks, Stephen.
> 
> It seems that the default Vegas alpha parameter in the rc4 is 1...
> 
> I observed similar situation with the NS2Linux simulator (with 2.6.16
> code) and found that if alpha=1, delayed ack will make it broken
> (keeping cwnd very low without real congestion)
> 
> See details at http://www.cs.caltech.edu/%7Eweixl/technical/ns2linux/known_linux/index.html#vegas
> 
> (Basically alpha==1 means Vegas seeks to see a delay of about 1 packet
> worth. With delayed ack, 1 packet worth of delay is common even with
> no congestion.)
> 
> To make Vegas work, I'd suggest to raise alpha to at least 2 or 3.
> (and beta has to be at least as large as alpha.)
> 
> -David
> 

I ran with the current default:
	alpha = 1 (scaled 2)
	beta  = 3 (scaled 6)
	gamma = 1 (scaled 2)

-- 
Stephen Hemminger <[email-masked]>